#
# spec file for package kvirc (Version 2.1.2pre1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 -i "mkdir -p /usr/share/man/man1/; mv /opt/kde2/man/man1/kvirc.1 /usr/share/man/man1/"
Name:         kvirc
Copyright:    GPL
Group:        X11/KDE/Beta
Summary:      Grafical frontend for IRC
Version:      2.1.2pre1
Release:      115
Source0:      kvirc.tar.bz2
Patch:        kvirc.dif

%description
IRC (Internet Relay Chat) client with MDI interface, Scripting, Popup, aliases and events editor, DCC (SEND CHAT VOICE AND RESUME), SOCKSV4 & V5 support and more. See documentation under
/opt/kde/share/doc/HTML/de/kvirc/index.html

Authors:
--------
    Szymon Stefanek <kvirc@tin.it>

SuSE series: k2de

%prep
%setup -n kvirc
%patch

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
KDEDIR=/opt/kde2
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./autogen.sh \
  --prefix=/opt/kde2 \
 --mandir=%{_mandir} \
 --with-qt-dir=/usr/lib/qt2/ \
 --with-kde-support \
 --with-ipv6-support \
 --enable-static
 
make

%install
make install

%files
%doc TODO README INSTALL ChangeLog INSTALL.freebsd 
%dir /opt/kde2/share/kvirc
%config(noreplace) /opt/kde2/share/kvirc/config
/opt/kde2/share/kvirc/charmaps
/opt/kde2/share/kvirc/help
/opt/kde2/share/kvirc/locale
/opt/kde2/share/kvirc/msgcolors
/opt/kde2/share/kvirc/pics
/opt/kde2/share/kvirc/plugins
/opt/kde2/bin/kvi_make_scriptdist.sh
/opt/kde2/bin/kvi_run_netscape.sh
/opt/kde2/bin/kvi_search_help.sh
/opt/kde2/bin/kvirc
/opt/kde2/bin/kvirc-config
/opt/kde2/lib/libkvicore.*
/opt/kde2/lib/libkvilib.*
/opt/kde2/share/applnk/Internet/kvirc.desktop
/opt/kde2/share/icons/hicolor/*/apps/kvirc.png
%{_mandir}/man1/kvirc.1.gz

%changelog -n kvirc
* Tue Sep 18 2001 - adrian@suse.de
- change TAG to X11/KDE/Beta
* Mon Sep 10 2001 - schwab@suse.de
- Fix casts.
* Sat Sep 01 2001 - ro@suse.de
- update to cvs of today
- use current libtool to build plugins right
- enable kde-support and ipv6-support
* Wed Aug 22 2001 - ro@suse.de
- update to 2.1.2pre2 (cvs) to make it compile
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri May 18 2001 - adrian@suse.de
- New version 2.1.1
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - ro@suse.de
- fixed filelist
* Wed Feb 21 2001 - adrian@suse.de
- package fix
* Fri Feb 02 2001 - adrian@suse.de
- update to 2.1.0 (KDE 2)
* Mon Jan 29 2001 - mmj@suse.de
- fixed CXXFLAGS passing in the src/*/Makefile.in files
* Mon Dec 04 2000 - adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libmng
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jun 08 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kvirc-1.0.0_beta3.1.tar.gz by autospec
* Thu Oct 28 1999 - kettner@suse.de
- Drop ksupp, klibs, kbase and qtlib1 from neededforbuild
* Thu Oct 28 1999 - kettner@suse.de
- New version 1.0.0_beta3.1, need qtlib2, fixes
  Buzilla bug #605
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Wed Mar 17 1999 - autospec
- Recreated spec file from kvirc-0.9.0.tar.gz using autospec script by kettner@suse.de
